# MCP for PSILO

server_stdio.py and client_stdio.py both work with standard input/output. However, the client runs the server as a subprocess. 


We need the server to run independently (and connect via something like http). server_http.py and client_http.py are attempts to have it work, but connection through http doesn't work with the current mcp library.

The issues with running http are found below:
1. FastMCP has no .app or .asgi_app() method
    * So you can’t do: uvicorn.run(mcp.app, ...)
    * This makes it incompatible with uvicorn in current form
2. FastMCP.run() only supports stdio, not network transport
3. fastapi_mcp not viable or missing
    * Either unavailable, misinstalled, or not meant for your current MCP version
4. HTTP-based tool exposure not built-in in your installed MCP version
    * You’d have to write a manual FastAPI wrapper (no real MCP involved)